/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element.impl;

import org.ow2.bonita.facade.def.element.ConditionDefinition;
import org.ow2.bonita.util.Misc;

public class ConditionDefinitionImpl implements ConditionDefinition {

  /**
   * 
   */
  private static final long serialVersionUID = 7266002516522126164L;
  protected String contentAsString;
  protected Type type;
  protected String xpression;
  protected String xpressionContentAsString;

  protected ConditionDefinitionImpl() { }

  public ConditionDefinitionImpl(String contentAsString, Type type,
      String xpression, String xpressionContentAsString) {
    super();
    this.contentAsString = contentAsString;
    this.type = type;
    this.xpression = xpression;
    this.xpressionContentAsString = xpressionContentAsString;
  }

  public ConditionDefinitionImpl(ConditionDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    this.contentAsString = src.getContentAsString();
    this.type = src.getType();
    this.xpression = src.getXpression();
    this.xpressionContentAsString = src.getXpressionContentAsString();
  }

  public String getContentAsString() {
    return contentAsString;
  }

  public Type getType() {
    return type;
  }

  public String getXpression() {
    return xpression;
  }

  public String getXpressionContentAsString() {
    return xpressionContentAsString;
  }

}


