/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element.impl;

import org.ow2.bonita.facade.def.element.SimulationInformationDefinition;
import org.ow2.bonita.facade.def.element.TimeEstimationDefinition;
import org.ow2.bonita.util.Misc;


public class SimulationInformationDefinitionImpl implements SimulationInformationDefinition {

  /**
   * 
   */
  private static final long serialVersionUID = 1653808691413351467L;
  protected String cost;
  protected Instantiation instantiation;
  protected TimeEstimationDefinition timeEstimation;

  protected SimulationInformationDefinitionImpl() { }

  public SimulationInformationDefinitionImpl(String cost, Instantiation instantiation,
      TimeEstimationDefinition timeEstimation) {
    super();
    this.cost = cost;
    this.instantiation = instantiation;
    this.timeEstimation = timeEstimation;
  }

  public SimulationInformationDefinitionImpl(SimulationInformationDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    this.cost = src.getCost();
    this.instantiation = src.getInstantiation();
    if (src.getTimeEstimation() != null) {
      this.timeEstimation = new TimeEstimationDefinitionImpl(src.getTimeEstimation());
    }
  }

  public String getCost() {
    return cost;
  }

  public Instantiation getInstantiation() {
    return instantiation;
  }

  public TimeEstimationDefinition getTimeEstimation() {
    return timeEstimation;
  }

}


