/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.def.element.impl;

import java.util.Set;

import org.ow2.bonita.facade.def.element.TransitionRestrictionDefinition;
import org.ow2.bonita.util.CopyTool;
import org.ow2.bonita.util.Misc;


public class TransitionRestrictionDefinitionImpl implements TransitionRestrictionDefinition {

  /**
   * 
   */
  private static final long serialVersionUID = -8886563870891332771L;
  protected JoinType joinType;
  protected SplitType splitType;
  protected Set<String> splitTransitionRefIds;

  protected TransitionRestrictionDefinitionImpl() { }

  public TransitionRestrictionDefinitionImpl(final JoinType joinType, final SplitType splitType,
      final Set<String> splitTransitionRefIds) {
    super();
    this.joinType = joinType;
    this.splitType = splitType;
    this.splitTransitionRefIds = splitTransitionRefIds;
  }

  public TransitionRestrictionDefinitionImpl(final TransitionRestrictionDefinition src) {
    Misc.badStateIfNull(src, "Ouch! Impossible to build a new Definition object from null");
    this.joinType = src.getJoinType();
    this.splitType = src.getSplitType();
    this.splitTransitionRefIds = CopyTool.copy(src.getSplitTransitionRefIds());
  }

  public JoinType getJoinType() {
    return this.joinType;
  }

  public SplitType getSplitType() {
    return this.splitType;
  }

  public Set<String> getSplitTransitionRefIds() {
    return this.splitTransitionRefIds;
  }

}


