package org.ow2.bonita.facade.runtime.impl;

import java.util.Date;
import java.util.logging.Logger;

import org.ow2.bonita.facade.runtime.ActivityState;
import org.ow2.bonita.facade.runtime.Update;


public abstract class UpdateImpl implements Update {

  /**
   * 
   */
  private static final long serialVersionUID = -7976662433188108616L;
  protected long dbid;
  protected Date date;
  /**
   * date at update
   */
  protected ActivityState state;
  /**
   * User that performs the update
   */
  protected String updateUserId;

  protected static Logger LOG = Logger.getLogger(UpdateImpl.class.getName());

  protected UpdateImpl() {
  }

  public UpdateImpl(final Date date, final ActivityState state, final String updateUserId) {
    this.date = date;
    this.state = state;
    this.updateUserId = updateUserId;
  }

  public UpdateImpl(final Update src) {
    this.date = src.getUpdatedDate();
    this.state = src.getActivityState();
    this.updateUserId = src.getUpdatedBy();
  }

  public Date getUpdatedDate() {
    return this.date;
  }

  public ActivityState getActivityState() {
    return this.state;
  }

  public String getUpdatedBy() {
    return this.updateUserId;
  }

  public static void logClockInconsistency() {
    LOG.warning("This update date is before the last update date. The recorded entries may be inconsistent. Please check your clock synchronization.");
  }
}
